<?xml version="1.0" encoding="UTF-8"?>
<configuration>
	<appSettings>
  <add key="ChartImageHandler" value="storage=file;timeout=20;dir=c:\TempImageFiles\;" />
 </appSettings>
 <system.webServer>
  <handlers>
   <remove name="ChartImageHandler" />
   <add name="ChartImageHandler" preCondition="integratedMode" verb="GET,HEAD,POST" path="ChartImg.axd" type="System.Web.UI.DataVisualization.Charting.ChartHttpHandler, System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
  </handlers>
 </system.webServer>
 <connectionStrings>
		<add name="AccessFileName" connectionString="Provider=Microsoft.Jet.OleDb.4.0;Data Source=|DataDirectory|\ASPNetDB.mdb;Persist Security Info=True" />
	</connectionStrings>
	<!--Crediti: http://www.aspitalia.com/servizi/Membership-Roles-Profile-web.config-Access.aspx -->
	<system.web>
		<httpHandlers>
   <add path="ChartImg.axd" verb="GET,HEAD,POST" type="System.Web.UI.DataVisualization.Charting.ChartHttpHandler, System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false" />
  </httpHandlers>
  <authentication mode="Forms">
			<forms loginUrl="~/Default.aspx" defaultUrl="~/Default.aspx" />
		</authentication>
		<!-- Membership API -->
		<membership defaultProvider="AccessMembershipProvider">
			<providers>
				<add name="AccessMembershipProvider" type="Samples.AccessProviders.AccessMembershipProvider, SampleAccessProviders" connectionStringName="AccessFileName" enablePasswordRetrieval="false" enablePasswordReset="true" requiresUniqueEmail="true" requiresQuestionAndAnswer="false" minRequiredPasswordLength="1" minRequiredNonalphanumericCharacters="0" applicationName="/" hashAlgorithmType="SHA1" passwordFormat="Hashed" />
			</providers>
		</membership>
		<!-- Roles API -->
		<roleManager enabled="true" defaultProvider="AccessRoleProvider">
			<providers>
				<add name="AccessRoleProvider" type="Samples.AccessProviders.AccessRoleProvider,SampleAccessProviders" connectionStringName="AccessFileName" applicationName="/" />
			</providers>
		</roleManager>
		<!-- Profile API -->
		<profile enabled="true" defaultProvider="AccessProfileProvider">
			<providers>
				<add name="AccessProfileProvider" type="Samples.AccessProviders.AccessProfileProvider, SampleAccessProviders" connectionStringName="AccessFileName" applicationName="/" />
			</providers>
		</profile>
		<compilation debug="true" targetFramework="4.0">
			<assemblies>
				<add assembly="System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
				<add assembly="System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Xml, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
				<add assembly="System.Data, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
				<add assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
				<add assembly="System.Configuration, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Web.Services, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" /></assemblies>
		</compilation>
		<customErrors mode="Off" />
		<globalization culture="IT-it" uiCulture="IT-it" />
		<pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
   <controls>
    <add tagPrefix="asp" namespace="System.Web.UI.DataVisualization.Charting" assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
   </controls>
  </pages></system.web>
</configuration>
